### Virtual Method

# Foundry DiagnosticTool dup_bytes_for_stdin

#### Declaration [src]

    DexFuture*
    dup_bytes_for_stdin (
      FoundryDiagnosticTool* self,
      GFile* file,
      GBytes* contents,
      const char* language
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the method.

`contents`

  Type: `GBytes`

  No description available.

  The data is owned by the caller of the method.

`language`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

No description available.

The returned data is owned by the instance.